### Method

# EDataServerUI4 CredentialsPrompter get_provider

since: 3.16

#### Declaration [src]

    ESourceCredentialsProvider*
    e_credentials_prompter_get_provider (
      ECredentialsPrompter* prompter
    )

#### Description [src]

Returns an `ESourceCredentialsProvider`, which the `prompter` uses.

Available since: 3.16

Gets property | `EDataServerUI4.CredentialsPrompter:provider`

#### Return value

Type: `ESourceCredentialsProvider`

An `ESourceCredentialsProvider`, which the `prompter` uses.

The returned data is owned by the instance.